Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSceneSky Class Reference

`#include <deScene_priv.hpp>`

Inheritance diagram for deSceneSky:

[legend]
Collaboration diagram for deSceneSky:

[legend]
List of all members.

## Public Member Functions
| deSceneSky ()
IdeSceneObject::interface_t | GetSOIType ()
void * | GetSOInterface (IdeSceneObject::interface_t i)
deBoolean | DeSerializeLoad ()
void | OnWorldIDSet ()
deBoolean | IsLockedToCam () const
void | LockToCam (deBoolean Lock)
deBoolean | GetInfo (SkyInfo *info) const
deBoolean | SetInfo (const SkyInfo *info)
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
virtual | ~deSceneSky ()
## Private Member Functions
long | TraverseForRender (IdeSceneGraph::deSceneTraversal *Params)
deBoolean | TestRoomCollision (const IdeCollision::deCollideParams &Params, IdeCollision *Collision)
deBoolean | CreateVBuffers ()
deBoolean | CreateTextures ()
## Private Attributes
IdeRenderTexture * | m_Textures [6]
IdeSceneSky::SkyInfo | m_Info
deBoolean | m_LockedToCam
## Static Private Attributes
long | s_NumSkyRooms = 0
IdeVertexBuffer * | s_VBuffer = NULL
IdeVertexBuffer * | s_SubVBs [6] = {NULL,NULL,NULL,NULL,NULL,NULL}

## Constructor & Destructor Documentation

deSceneSky::~deSceneSky | ( |  | ) | `[protected, virtual]`

deSceneSky::deSceneSky | ( |  | ) |

## Member Function Documentation

deBoolean deSceneSky::CreateTextures | ( |  | ) | `[private]`

deBoolean deSceneSky::CreateVBuffers | ( |  | ) | `[private]`

deBoolean deSceneSky::DeSerializeLoad | ( |  | ) | `[virtual]`

| Call after all objects in a world have been loaded, to allow pointers to be correctly resolved from World and Object ID's Reimplemented from deSceneObject.

deBoolean deSceneSky::GetInfo | ( | SkyInfo * | info | ) | const`[virtual]`

| Implements IdeSceneSky.

void* deSceneSky::GetSOInterface | ( | IdeSceneObject::interface_t | i | ) | `[virtual]`

| Reimplemented from deSceneObject.

IdeSceneObject::interface_t deSceneSky::GetSOIType | ( |  | ) | `[virtual]`

| Reimplemented from deSceneObject.

deBoolean deSceneSky::IsLockedToCam | ( |  | ) | const`[virtual]`

| Implements IdeSceneSky.

void deSceneSky::LockToCam | ( | deBoolean | Lock | ) | `[virtual]`

| Implements IdeSceneSky.

void deSceneSky::OnWorldIDSet | ( |  | ) | `[virtual]`

| Reimplemented from deWorldObject.

deBoolean deSceneSky::SetInfo | ( | const SkyInfo * | info | ) | `[virtual]`

| Implements IdeSceneSky.

deBoolean deSceneSky::TestRoomCollision | ( | const IdeCollision::deCollideParams & | Params,
|  | IdeCollision * | Collision
| ) | `[private]`

long deSceneSky::TraverseForRender | ( | IdeSceneGraph::deSceneTraversal * | Params | ) | `[private, virtual]`

| Implements deSceneObject.

## Member Data Documentation

IdeSceneSky::SkyInfo deSceneSky::m_Info`[private]`

deBoolean deSceneSky::m_LockedToCam`[private]`

IdeRenderTexture* deSceneSky::m_Textures[6]`[private]`

long deSceneSky::s_NumSkyRooms = 0`[static, private]`

IdeVertexBuffer * deSceneSky::s_SubVBs = {NULL,NULL,NULL,NULL,NULL,NULL}`[static, private]`

IdeVertexBuffer * deSceneSky::s_VBuffer = NULL`[static, private]`

deSceneSky::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deScene_priv.hpp
- deSceneNode.cpp